Brivio API reference
Costs

Cost budgets with the spend of the month and thresholds crossed (scope: costs:read)

GET
/costs/budgets

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Query Parameters

period?string

Month YYYY-MM (Europe/Bucharest); default the current month.

Match^\d{4}-(0[1-9]|1[0-2])$

Response Body

OK

application/json
  1. response
data*array<>
meta?
error*null
curl -X GET "https://example.com/costs/budgets"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "scope": "org",      "scope_value": "string",      "currency": "string",      "limit_minor": 0,      "soft_threshold_pcts": [        0      ],      "enabled": true,      "spent_minor": 0,      "pct": 0,      "crossed": [        0      ]    }  ],  "meta": {    "page": 0,    "perPage": 0,    "total": 0,    "totalPages": 0,    "nextCursor": "string"  },  "error": null}